
TYPO3.Neos - Bug # 52404

Status: Resolved Priority: Should have
Author: Christoph Dähne Category:
Created: 2013-09-30 Assigned To:
Updated: 2013-10-11 Due date:
Subject: Inline-editing new HMTL-Content-Elements
Description

If just created, a HTML-Content-Element can be inline-edited until the first refresh of the page.
HTML-Tags are escaped, though.

    1. Create a new HTML-Content-Element
    2. Klick it
    3. Start editing

Related issues:
related to TYPO3.Neos - Bug # 52387: Inconsistent Handling of HTML-Tags in HT... Resolved 2013-09-30

Associated revisions
Revision 18a051cd - 2013-10-11 14:56 - Rens Admiraal

[BUGFIX] InlineEditableOverlay is not added to new HTML elements

The InlineEditableOverlay tries to read the NodeConfiguration for
new nodes which currently fails. This configuration is only used
for adding an icon to the overlay based on the content type.

As this feature isn't used anymore, and not planned to enable again,
we remove it in this change.

Change-Id: I9b2f56c1aca57efd3ef9b697f2ed87191f601d57
Fixes: #52404
Reviewed-on: https://review.typo3.org/24355
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Tested-by: Mr. Hudson
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

History
#1 - 2013-10-04 09:36 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24355

#2 - 2013-10-06 12:23 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24355

#3 - 2013-10-06 12:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24355

#4 - 2013-10-11 15:36 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:18a051cd84ba393f813302239845fad7efd22eb8.
